org.firebirdsql.ds

## Class RootCommonDataSource

- java.lang.Object
- - org.firebirdsql.ds.RootCommonDataSource

- All Implemented Interfaces:
    javax.sql.CommonDataSource
  Direct Known Subclasses:
    FBAbstractCommonDataSource, FBDataSource, FBSimpleDataSource

      public abstract class RootCommonDataSource
      extends java.lang.Object
      implements javax.sql.CommonDataSource

  Root superclass for the datasources in Firebird.

  Used to workaround incompatibilities introduced for JDBC 3.0 and earlier by JDBC 4.1 (getParentLogger).

  Since:
    2.2
  Author:
    Mark Rotteveel

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RootCommonDataSource()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.PrintWriter` | `getLogWriter()`
    `java.util.logging.Logger` | `getParentLogger()`
    `void` | `setLogWriter(java.io.PrintWriter out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.sql.CommonDataSource

      `getLoginTimeout, setLoginTimeout`

- - ### Constructor Detail

    - #### RootCommonDataSource

          public RootCommonDataSource()

  - ### Method Detail

    - #### getLogWriter

          public java.io.PrintWriter getLogWriter()
                                           throws java.sql.SQLException

      Specified by:
        `getLogWriter` in interface `javax.sql.CommonDataSource`
      Throws:
        `java.sql.SQLException`

    - #### setLogWriter

          public void setLogWriter(java.io.PrintWriter out)
                            throws java.sql.SQLException

      Specified by:
        `setLogWriter` in interface `javax.sql.CommonDataSource`
      Throws:
        `java.sql.SQLException`

    - #### getParentLogger

          public java.util.logging.Logger getParentLogger()
                                                   throws java.sql.SQLFeatureNotSupportedException

      Specified by:
        `getParentLogger` in interface `javax.sql.CommonDataSource`
      Throws:
        `java.sql.SQLFeatureNotSupportedException`

Copyright © 2001-2021 Jaybird (Firebird JDBC/JCA) team. All rights reserved.